-- Lua paint Spline Maker

--@TBCONFIG SLIDER: Start Point X, 50
--@TBCONFIG SLIDER: Start Point Y, 50
--@TBCONFIG SLIDER: Curve 1 for X, 50
--@TBCONFIG SLIDER: Curve 1 for Y, 50
--@TBCONFIG SLIDER: Curve 2 for X, 25
--@TBCONFIG SLIDER: Curve 2 for Y, 75

local x2 = sliderVal1 * width
local y2 = sliderVal2 * height
local cx1 = sliderVal3 * width
local cy1 = sliderVal4 * height
local cx2 = sliderVal5 * width
local cy2 = sliderVal6 * height

paint_open(1)

paint_spline(width/2, height/2, x2, y2, cx1, cy1, cx2, cy2)

paint_close()

